#include "lstate.h"

/*
** $Id: lualib.h,v 1.6 1999/05/05 19:23:11 roberto Exp $
** Lua standard libraries
** See Copyright Notice in lua.h
*/


#ifndef lualib_h
#define lualib_h

#include "lua.h"

void lua_iolibopen (lua_State *L);
void lua_strlibopen (lua_State *L);
void lua_mathlibopen (lua_State *L);
void lua_dblibopen (lua_State *L);


void lua_userinit (lua_State *L);


/* To keep compatibility with old versions */

#define iolib_open	lua_iolibopen
#define strlib_open	lua_strlibopen
#define mathlib_open	lua_mathlibopen



/* Auxiliary functions (lua_State *L, private) */

char *luaI_classend (lua_State *L, char *p);
int luaI_singlematch (lua_State *L, int c, char *p, char *ep);

#endif

